<?php 
session_start();
require_once "../modelos/Empresa.php";

$empresa=new Empresa();

$idempresa									=	isset($_POST["idempresa"])? limpiarCadena($_POST["idempresa"]):"";
$idempresa1									=	isset($_POST["idempresa1"])? limpiarCadena($_POST["idempresa1"]):"";
$idempresa2									=	isset($_POST["idempresa2"])? limpiarCadena($_POST["idempresa2"]):"";
$idempresa3									=	isset($_POST["idempresa3"])? limpiarCadena($_POST["idempresa3"]):"";
$idempresa5									=	isset($_POST["idempresa5"])? limpiarCadena($_POST["idempresa5"]):"";
$idempresa_venta						=	isset($_POST["idempresa_venta"])? limpiarCadena($_POST["idempresa_venta"]):"";
$idempresa_tasacambio				=	isset($_POST["idempresa_tasacambio"])? limpiarCadena($_POST["idempresa_tasacambio"]):"";
$idempresa_impuesto					=	isset($_POST["idempresa_impuesto"])? limpiarCadena($_POST["idempresa_impuesto"]):"";
$idempresa_datosadicionales	=	isset($_POST["idempresa_datosadicionales"])? limpiarCadena($_POST["idempresa_datosadicionales"]):"";
$nombre											=	isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$tipo_documento							=	isset($_POST["tipo_documento"])? limpiarCadena($_POST["tipo_documento"]):"";
$num_documento							=	isset($_POST["num_documento"])? limpiarCadena($_POST["num_documento"]):"";
$direccion									=	isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";
$telefono										=	isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$email											=	isset($_POST["email"])? limpiarCadena($_POST["email"]):"";
$nrofactura									=	isset($_POST["num_factura"])? limpiarCadena($_POST["num_factura"]):"";
$nrocontrol									=	isset($_POST["num_control"])? limpiarCadena($_POST["num_control"]):"";
$nropedido									=	isset($_POST["num_pedido"])? limpiarCadena($_POST["num_pedido"]):"";
$nronotacredito							=	isset($_POST["num_notacredito"])? limpiarCadena($_POST["num_notacredito"]):"";
$nrocontrolnotacredito			=	isset($_POST["numcontrol_notacredito"])? limpiarCadena($_POST["numcontrol_notacredito"]):"";
$nronotaentrega							=	isset($_POST["num_notaentrega"])? limpiarCadena($_POST["num_notaentrega"]):"";
$nrocontrolnotaentrega			=	isset($_POST["numcontrol_notaentrega"])? limpiarCadena($_POST["numcontrol_notaentrega"]):"";
$nronotaentrega2						=	isset($_POST["num_notaentrega2"])? limpiarCadena($_POST["num_notaentrega2"]):"";
$nrocontrolnotaentrega2			=	isset($_POST["numcontrol_notaentrega2"])? limpiarCadena($_POST["numcontrol_notaentrega2"]):"";
$imagen											=	isset($_POST["imagen"])? limpiarCadena($_POST["imagen"]):"";
$tasa_dollar								=	isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$tasa_euro									=	isset($_POST["tasa_euro"])? limpiarCadena($_POST["tasa_euro"]):"";
$iva												=	isset($_POST["iva"])? limpiarCadena($_POST["iva"]):"";
$aduanero										=	isset($_POST["aduanero"])? limpiarCadena($_POST["aduanero"]):"";
$impuestoart18							=	isset($_POST["impuestoart18"])? limpiarCadena($_POST["impuestoart18"]):"";
$porcentajeprecio						=	isset($_POST["porcentajeprecio"])? limpiarCadena($_POST["porcentajeprecio"]):"";
$paisdeorigen								=	isset($_POST["paisdeorigen"])? limpiarCadena($_POST["paisdeorigen"]):"";
$licenciadelicor						=	isset($_POST["licenciadelicor"])? limpiarCadena($_POST["licenciadelicor"]):"";
$idusuario									=	isset($_POST["idusuario"])? limpiarCadena($_POST["idusuario"]):"";
$idusuario2									=	isset($_POST["idusuario2"])? limpiarCadena($_POST["idusuario2"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':

		if (!file_exists($_FILES['imagen']['tmp_name'])|| !is_uploaded_file($_FILES['imagen']['tmp_name'])) {
			$imagen=$_POST["imagenactual"];
		}else{
			$ext=explode(".", $_FILES["imagen"]["name"]);
			if ($_FILES['imagen']['type']=="image/jpg" || $_FILES['imagen']['type']=="image/jpeg" || $_FILES['imagen']['type']=="image/png") {
				$imagen=round(microtime(true)).'.'. end($ext);
				move_uploaded_file($_FILES["imagen"]["tmp_name"], "../files/empresas/".$imagen);
			}
		}

		if (empty($idempresa)) {
			$rspta=$empresa->insertar($nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$imagen,$licenciadelicor);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar($idempresa,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$imagen,$licenciadelicor);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	
	case 'guardaryeditarVenta':
		if (empty($idempresa_venta)) {
			$rspta=$empresa->insertar_venta($idempresa1,$nrofactura,$nrocontrol,$nropedido,$nronotacredito,$nrocontrolnotacredito,$nronotaentrega,$nrocontrolnotaentrega,$nronotaentrega2,$nrocontrolnotaentrega2,$idusuario,$idusuario2);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar_venta($idempresa_venta,$idempresa1,$nrofactura,$nrocontrol,$nropedido,$nronotacredito,$nrocontrolnotacredito,$nronotaentrega,$nrocontrolnotaentrega,$nronotaentrega2,$nrocontrolnotaentrega2,$idusuario,$idusuario2);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	
	case 'guardaryeditarTasa':
		if (empty($idempresa_tasacambio)) {
			$rspta=$empresa->insertar_tasacambio($idempresa2,$tasa_dollar,$tasa_euro);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar_tasacambio($idempresa_tasacambio,$idempresa2,$tasa_dollar,$tasa_euro);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

	case 'guardaryeditarDatosadicional':
		if (empty($idempresa_datosadicionales)) {
			$rspta=$empresa->insertar_datosadicionales($idempresa5,$paisdeorigen);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar__datosadicionales($idempresa_datosadicionales,$idempresa5,$paisdeorigen);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

	case 'guardaryeditarImpuesto':
		if (empty($idempresa_impuesto)) {
			$rspta=$empresa->insertar_impuesto($idempresa3,$iva,$aduanero,$impuestoart18,$porcentajeprecio);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar_impuesto($idempresa_impuesto,$idempresa3,$iva,$aduanero,$impuestoart18,$porcentajeprecio);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;


	case 'desactivar':
		$rspta	=$empresa->desactivar($idempresa);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta	=$empresa->activar($idempresa);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;

	case 'buscarNroFacturaControl':
		$rspta	=$empresa->buscarNroFacturaControl($idempresa_venta);
		echo json_encode($rspta);
	break;

	case 'buscarTasaDeCambio':
		$rspta	=$empresa->buscarTasaDeCambio($idempresa_venta);
		echo json_encode($rspta);
	break;

	case 'buscarImpuestoArt18':
		$rspta	=$empresa->buscarImpuestoArt18($idempresa_venta);
		echo json_encode($rspta);
	break;
	
	case 'buscarempresa1':
		$rspta	=$empresa->buscarempresa1();
		echo json_encode($rspta);
	break;

	case 'buscarEmpresa':
		$rspta		=$empresa->buscarempresa();
		$verificado	=0;
		$fetch		=$rspta->fetch_object();
		if (isset($fetch)) {
			$verificado=1;
		}
		echo $verificado;
	break;

	case 'ActualizarNroFacturaControl':
		$rspta=$empresa->ActualizarNroFacturaControl($idempresa_venta,$nrofactura,$nrocontrol);
		echo json_encode($rspta);
	break;

	case 'ActualizarPrecio':
		$rspta=$empresa->ActualizarPrecio($tasa_dollar);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	break;

	case 'ActualizarCosto':
		$rspta=$empresa->ActualizarCosto($tasa_dollar);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	break;

	case 'ActualizarArt18':
		$rspta=$empresa->ActualizarArt18($tasa_dollar);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	break;

	case 'ActualizarTodo':
		$rspta=$empresa->ActualizarTodo($tasa_dollar);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	break;
		

	case 'mostrar':
		$rspta=$empresa->mostrar($idempresa);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta=$empresa->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
				"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idempresa.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idempresa.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idempresa.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idempresa.')"><i class="fa fa-check"></i></button>',
				"1"=>$reg->nombre,
				"2"=>$reg->tipo_documento,
				"3"=>$reg->num_documento,
				"4"=>$reg->telefono,
				"5"=>$reg->email,
				"6"=>"<img src='files/empresas/".$reg->imagen."' height='50px' width='50px'>",
				"7"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
			);
		}

		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;
	
}
?>

